<template>
  <page-loading :loading="loading" class="ProductDetail">
    <u-parse :content="info.detail" />
  </page-loading>
</template>

<script>
import { mapState } from 'vuex'
import PageLoading from '@/components/PageLoading'
export default {
  name: 'CaseDetail',
  components: { PageLoading },
  data() {
    return {
      id: '',
      loading: true,
      intoView: '',
      info: {},
      specs: []
    }
  },
  computed: {
    ...mapState({
      userInfo: seate => seate.user.info
    })
  },
  methods: {
    getDetail() {
      this.$api.cases.detail(this.id).then(res => {
        this.loading = false
        this.info = res.data
      })
    },
    viewer() {
      this.$api.cases.viewer(this.id).then(res => {

      })
    }
  },
  onLoad(options) {
    this.id = options.id
    this.getDetail()
    this.viewer()
  }
}
</script>

<style lang="scss" scoped>
.ProductDetail {
}
</style>
